
Instrumentación Nano-Satelites - Task #1321

Milestone # 1335 (New): Tener sistema de recepción con 3 estaciones operativas al 100% integrado con servidor de datos

Task # 1314 (Closed): Tener Operativo Receptor 1 al 100%

Task # 1320 (Closed): OPTIMIZACIÓN DEL SOFTWARE DEL SISTEMA DE RECEPCIÓN

Generación de log para el programa de adquisición. Para identificación de problemas.

04/03/2018 05:02 PM - Edgardo Pacheco

Status: Closed Start date: 04/03/2018

Priority: Urgent Due date: 06/28/2018

Assignee: Alessandro Morales % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Prototipo  Recepcion 2.0 Spent time: 0.00 hour

Description

Generar logs para identificar en que parte se detiene el programa de adquisición o de preprocesamiento housekeeping_recorder.py

incluidas las subrutinas(hasta que se generan los archivos decimados tipo DEC).

Identificar las razones por las que se detiene el programa.

Corregir el programa para que opere al 100% sin interrupciones o necesidad de resetear la PC.

Sugerencia de Josemaria: revisar los multiprocesos o procesos en paralelo, tal vez sea mejor cambiarlo a secuencial.

History

#1 - 04/03/2018 05:03 PM - Edgardo Pacheco

- Tracker changed from Milestone to Task

#2 - 04/03/2018 05:12 PM - Edgardo Pacheco

- Description updated

#3 - 04/10/2018 10:12 PM - Edgardo Pacheco

- Due date changed from 04/11/2018 to 04/17/2018

#4 - 06/13/2018 09:35 PM - Edgardo Pacheco

- Due date changed from 04/17/2018 to 06/28/2018

#5 - 02/18/2019 06:31 PM - Alessandro Morales

- Status changed from New to Closed

- % Done changed from 0 to 100

Luego de ejecutar el bash ./hk_recorder.sh, que a su vez ejecuta el script housekeeping2018.py, se puede colocar el comando screen -R para

observar el estado de ejecución del programa. De esta manera se pueden detectar problemas con el USRP, GPS, USB (gestor de energía) o PC.

Por ser equipos funcionando 24/7 requieren de monitoreo periódico.
